From: Douglas Mencken <dougmencken@gmail.com>
Date: Thu, 14 Apr 2016 21:25:12 +0000 (-0400)
Subject: let’s use peaceful lexis
X-Git-Url: https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff_plain;h=b0706b7182fcb629146a2b32a491dd846831760f

let’s use peaceful lexis

Change-Id: I48f5f4a533313801d28d623aae0ca548dde9b37d
---

diff --git a/include/vcl/menu.hxx b/include/vcl/menu.hxx
index 684c2a8..7b94e86 100644
--- a/include/vcl/menu.hxx
+++ b/include/vcl/menu.hxx
@@ -159,7 +159,7 @@ private:
 
     bool bCanceled : 1; ///< Terminated during a callback
     bool bInCallback : 1; ///< In Activate/Deactivate
-    bool bKilled : 1; ///< Killed
+    bool bOff : 1; ///< Off
 
     css::uno::Reference<css::accessibility::XAccessible > mxAccessible;
     mutable vcl::MenuLayoutData* mpLayoutData;
@@ -212,7 +212,7 @@ protected:
     virtual void MenuBarKeyInput(const KeyEvent& rEvent);
 
 public:
-    SAL_DLLPRIVATE void ImplKillLayoutData() const;
+    SAL_DLLPRIVATE void ImplBinLayoutData() const;
 
     SAL_DLLPRIVATE vcl::Window* ImplGetWindow() const { return pWindow; }
 #if defined(MACOSX)
diff --git a/vcl/source/filter/graphicfilter.cxx b/vcl/source/filter/graphicfilter.cxx
index 1b14378..609b6d4 100644
--- a/vcl/source/filter/graphicfilter.cxx
+++ b/vcl/source/filter/graphicfilter.cxx
@@ -132,7 +132,7 @@ static bool DirEntryExists( const INetURLObject& rObj )
     return bExists;
 }
 
-static void KillDirEntry( const OUString& rMainUrl )
+static void DeleteDirEntry( const OUString& rMainUrl )
 {
     try
     {
@@ -1819,7 +1819,7 @@ sal_uInt16 GraphicFilter::ExportGraphic( const Graphic& rGraphic, const INetURLO
         xStream.reset();
 
         if( ( GRFILTER_OK != nRetValue ) && !bAlreadyExists )
-            KillDirEntry( aMainUrl );
+            DeleteDirEntry( aMainUrl );
     }
     return nRetValue;
 #endif
diff --git a/vcl/source/window/menu.cxx b/vcl/source/window/menu.cxx
index bb2f60d..fe44009 100644
--- a/vcl/source/window/menu.cxx
+++ b/vcl/source/window/menu.cxx
@@ -129,7 +129,7 @@ Menu::Menu()
       nTextPos(0),
       bCanceled(false),
       bInCallback(false),
-      bKilled(false),
+      bOff(false),
       mpLayoutData(nullptr),
       mpSalMenu(nullptr)
 {
@@ -173,7 +173,7 @@ void Menu::dispose()
         pDelData = pDelData->mpNext;
     }
 
-    bKilled = true;
+    bOff = true;
 
     delete pItemList;
     delete pLogo;
@@ -2261,7 +2261,7 @@ void Menu::MenuBarKeyInput(const KeyEvent&)
 {
 }
 
-void Menu::ImplKillLayoutData() const
+void Menu::ImplBinLayoutData() const
 {
     delete mpLayoutData;
     mpLayoutData = nullptr;
@@ -2523,7 +2523,7 @@ void MenuBar::ImplDestroy( MenuBar* pMenu, bool bDelete )
     {
         MenuBarWindow* pMenuWin = pMenu->getMenuBarWindow();
         if (pMenuWin)
-            pMenuWin->KillActivePopup();
+            pMenuWin->FreeActivePopup();
         pWindow->disposeOnce();
     }
     pMenu->pWindow = nullptr;
@@ -2601,7 +2601,7 @@ void MenuBar::SelectItem(sal_uInt16 nId)
             pMenuWin->SetAutoPopup( true );
             if (ITEMPOS_INVALID != pMenuWin->GetHighlightedItem())
             {
-                pMenuWin->KillActivePopup();
+                pMenuWin->FreeActivePopup();
                 pMenuWin->ChangeHighlightItem( ITEMPOS_INVALID, false );
             }
             if (nId != ITEMPOS_INVALID)
@@ -2785,7 +2785,7 @@ void PopupMenu::ClosePopup(Menu* pMenu)
     MenuFloatingWindow* p = dynamic_cast<MenuFloatingWindow*>(ImplGetWindow());
     PopupMenu *pPopup = dynamic_cast<PopupMenu*>(pMenu);
     if (p && pMenu)
-        p->KillActivePopup(pPopup);
+        p->FreeActivePopup(pPopup);
 }
 
 bool PopupMenu::IsInExecute()
@@ -2828,7 +2828,7 @@ void PopupMenu::SelectItem(sal_uInt16 nId)
                 MenuItemData* pData = GetItemList()->GetDataFromPos( nPos );
                 if( pData->pSubMenu )
                 {
-                    pFloat->KillActivePopup();
+                    pFloat->FreeActivePopup();
                 }
             }
             pFloat->ChangeHighlightItem( ITEMPOS_INVALID, false );
@@ -2933,7 +2933,7 @@ sal_uInt16 PopupMenu::ImplExecute( const VclPtr<vcl::Window>& pW, const Rectangl
     if ( pW->IsDisposed() )
         return 0;   // Error
 
-    if ( bCanceled || bKilled )
+    if ( bCanceled || bOff )
         return 0;
 
     if ( !GetItemCount() )
diff --git a/vcl/source/window/menubarwindow.cxx b/vcl/source/window/menubarwindow.cxx
index f412db4..88698fa 100644
--- a/vcl/source/window/menubarwindow.cxx
+++ b/vcl/source/window/menubarwindow.cxx
@@ -180,7 +180,7 @@ void MenuBarWindow::dispose()
 void MenuBarWindow::SetMenu( MenuBar* pMen )
 {
     pMenu = pMen;
-    KillActivePopup();
+    FreeActivePopup();
     nHighlightedItem = ITEMPOS_INVALID;
     if (pMen)
     {
@@ -290,7 +290,7 @@ void MenuBarWindow::ImplCreatePopup( bool bPreSelectFirst )
         bIgnoreFirstMove = true;
         if ( pActivePopup && ( pActivePopup != pItemData->pSubMenu ) )
         {
-            KillActivePopup();
+            FreeActivePopup();
         }
         if ( pItemData->bEnabled && pItemData->pSubMenu && ( nHighlightedItem != ITEMPOS_INVALID ) &&
              ( pItemData->pSubMenu != pActivePopup ) )
@@ -330,7 +330,7 @@ void MenuBarWindow::ImplCreatePopup( bool bPreSelectFirst )
     }
 }
 
-void MenuBarWindow::KillActivePopup()
+void MenuBarWindow::FreeActivePopup()
 {
     if ( pActivePopup )
     {
@@ -360,7 +360,7 @@ void MenuBarWindow::PopupClosed( Menu* pPopup )
 {
     if ( pPopup == pActivePopup )
     {
-        KillActivePopup();
+        FreeActivePopup();
         ChangeHighlightItem( ITEMPOS_INVALID, false, ImplGetFrameWindow()->ImplGetFrameData()->mbHasFocus, false );
     }
 }
@@ -376,7 +376,7 @@ void MenuBarWindow::MouseButtonDown( const MouseEvent& rMEvt )
     }
     else
     {
-        KillActivePopup();
+        FreeActivePopup();
         ChangeHighlightItem( ITEMPOS_INVALID, false );
     }
 }
@@ -447,7 +447,7 @@ void MenuBarWindow::ChangeHighlightItem( sal_uInt16 n, bool bSelectEntry, bool b
     // #57934# close active popup if applicable, as TH's background storage works.
     MenuItemData* pNextData = pMenu->pItemList->GetDataFromPos( n );
     if ( pActivePopup && pActivePopup->ImplGetWindow() && ( !pNextData || ( pActivePopup != pNextData->pSubMenu ) ) )
-        KillActivePopup(); // pActivePopup when applicable without pWin, if Rescheduled in  Activate()
+        FreeActivePopup(); // pActivePopup when applicable without pWin, if Rescheduled in  Activate()
 
     // activate menubar only ones per cycle...
     bool bJustActivated = false;
@@ -778,7 +778,7 @@ bool MenuBarWindow::HandleKeyEvent( const KeyEvent& rKEvent, bool bFromMenu )
         }
         else if ( nCode == KEY_RETURN )
         {
-            if( pActivePopup ) KillActivePopup();
+            if( pActivePopup ) FreeActivePopup();
             else
                 if ( !mbAutoPopup )
                 {
@@ -802,7 +802,7 @@ bool MenuBarWindow::HandleKeyEvent( const KeyEvent& rKEvent, bool bFromMenu )
             {
                 // hide the menu and remove the focus...
                 mbAutoPopup = false;
-                KillActivePopup();
+                FreeActivePopup();
             }
 
             ChangeHighlightItem( ITEMPOS_INVALID, false );
@@ -984,7 +984,7 @@ void MenuBarWindow::StateChanged( StateChangedType nType )
     }
     else if(pMenu)
     {
-        pMenu->ImplKillLayoutData();
+        pMenu->ImplBinLayoutData();
     }
 }
 
@@ -1010,7 +1010,7 @@ void MenuBarWindow::LayoutChanged()
     Invalidate();
     Resize();
 
-    pMenu->ImplKillLayoutData();
+    pMenu->ImplBinLayoutData();
 }
 
 void MenuBarWindow::ApplySettings(vcl::RenderContext& rRenderContext)
diff --git a/vcl/source/window/menubarwindow.hxx b/vcl/source/window/menubarwindow.hxx
index 188219c..93726a3 100644
--- a/vcl/source/window/menubarwindow.hxx
+++ b/vcl/source/window/menubarwindow.hxx
@@ -125,7 +125,7 @@ public:
 
     void    SetMenu(MenuBar* pMenu);
     void    SetHeight(long nHeight);
-    void    KillActivePopup();
+    void    FreeActivePopup();
     void    PopupClosed(Menu* pMenu);
     sal_uInt16 GetHighlightedItem() const { return nHighlightedItem; }
     virtual css::uno::Reference<css::accessibility::XAccessible> CreateAccessible() override;
diff --git a/vcl/source/window/menufloatingwindow.cxx b/vcl/source/window/menufloatingwindow.cxx
index 643aeb7..cc68f4c 100644
--- a/vcl/source/window/menufloatingwindow.cxx
+++ b/vcl/source/window/menufloatingwindow.cxx
@@ -232,7 +232,7 @@ void MenuFloatingWindow::ImplHighlightItem( const MouseEvent& rMEvt, bool bMBDow
                             MenuItemData* pData = pMenu->pItemList->GetDataFromPos( n );
                             bAllowNewPopup = pData && ( pData->pSubMenu != pActivePopup );
                             if ( bAllowNewPopup )
-                                KillActivePopup();
+                                FreeActivePopup();
                         }
 
                         if ( bPopupArea && bAllowNewPopup )
@@ -276,7 +276,7 @@ IMPL_LINK_NOARG(MenuFloatingWindow, PopupEnd, FloatingWindow*, void)
         if ( pActivePopup )
         {
             //SAL_WARN_IF( pActivePopup->ImplGetWindow(), "vcl", "PopupEnd, obwohl pActivePopup MIT Window!" );
-            KillActivePopup(); // should be ok to just remove it
+            FreeActivePopup(); // should be ok to just remove it
             //pActivePopup->bCanceled = true;
         }
         pMenu->bInCallback = true;
@@ -310,7 +310,7 @@ IMPL_LINK( MenuFloatingWindow, HighlightChanged, Timer*, pTimer, void )
         {
             FloatWinPopupFlags nOldFlags = GetPopupModeFlags();
             SetPopupModeFlags( GetPopupModeFlags() | FloatWinPopupFlags::NoAppFocusClose );
-            KillActivePopup();
+            FreeActivePopup();
             SetPopupModeFlags( nOldFlags );
         }
         if ( pItemData->bEnabled && pItemData->pSubMenu && pItemData->pSubMenu->GetItemCount() && ( pItemData->pSubMenu != pActivePopup ) )
@@ -365,7 +365,7 @@ IMPL_LINK_NOARG(MenuFloatingWindow, SubmenuClose, Timer *, void)
     {
         MenuFloatingWindow* pWin = static_cast<MenuFloatingWindow*>(pMenu->pStartedFrom->GetWindow());
         if( pWin )
-            pWin->KillActivePopup();
+            pWin->FreeActivePopup();
     }
 }
 
@@ -440,14 +440,14 @@ void MenuFloatingWindow::StopExecute()
     aHighlightChangedTimer.Stop();
     if (pActivePopup)
     {
-        KillActivePopup();
+        FreeActivePopup();
     }
     // notify parent, needed for accessibility
     if( pMenu && pMenu->pStartedFrom )
         pMenu->pStartedFrom->ImplCallEventListeners( VCLEVENT_MENU_SUBMENUDEACTIVATE, nPosInParent );
 }
 
-void MenuFloatingWindow::KillActivePopup( PopupMenu* pThisOnly )
+void MenuFloatingWindow::FreeActivePopup( PopupMenu* pThisOnly )
 {
     if ( pActivePopup && ( !pThisOnly || ( pThisOnly == pActivePopup ) ) )
     {
@@ -591,7 +591,7 @@ void MenuFloatingWindow::MouseMove( const MouseEvent& rMEvt )
 
 void MenuFloatingWindow::ImplScroll( bool bUp )
 {
-    KillActivePopup();
+    FreeActivePopup();
     Update();
 
     if (!pMenu)
@@ -599,7 +599,7 @@ void MenuFloatingWindow::ImplScroll( bool bUp )
 
     Invalidate();
 
-    pMenu->ImplKillLayoutData();
+    pMenu->ImplBinLayoutData();
 
     if ( bScrollUp && bUp )
     {
@@ -694,7 +694,7 @@ void MenuFloatingWindow::ChangeHighlightItem( sal_uInt16 n, bool bStartPopupTime
     //         otherwise the menus are difficult to operate.
     //  MenuItemData* pNextData = pMenu->pItemList->GetDataFromPos( n );
     //  if ( pActivePopup && pNextData && ( pActivePopup != pNextData->pSubMenu ) )
-    //      KillActivePopup();
+    //      FreeActivePopup();
 
     aSubmenuCloseTimer.Stop();
     if( ! pMenu )
@@ -1022,7 +1022,7 @@ void MenuFloatingWindow::KeyInput( const KeyEvent& rKEvent )
                 if ( !pMenu->pStartedFrom )
                 {
                     StopExecute();
-                    KillActivePopup();
+                    FreeActivePopup();
                 }
                 else if (pMenu->pStartedFrom->IsMenuBar())
                 {
@@ -1034,7 +1034,7 @@ void MenuFloatingWindow::KeyInput( const KeyEvent& rKEvent )
                     PopupMenu* pPopupMenu = static_cast<PopupMenu*>(pMenu->pStartedFrom.get());
                     MenuFloatingWindow* pFloat = pPopupMenu->ImplGetFloatingWindow();
                     pFloat->GrabFocus();
-                    pFloat->KillActivePopup();
+                    pFloat->FreeActivePopup();
                     pPopupMenu->ImplCallHighlight(pFloat->nHighlightedItem);
                 }
             }
@@ -1053,7 +1053,7 @@ void MenuFloatingWindow::KeyInput( const KeyEvent& rKEvent )
                 {
                     MenuFloatingWindow* pFloat = static_cast<PopupMenu*>(pMenu->pStartedFrom.get())->ImplGetFloatingWindow();
                     pFloat->GrabFocus();
-                    pFloat->KillActivePopup();
+                    pFloat->FreeActivePopup();
                     sal_uInt16 highlightItem = pFloat->GetHighlightedItem();
                     pFloat->ChangeHighlightItem(highlightItem, false);
                 }
diff --git a/vcl/source/window/menufloatingwindow.hxx b/vcl/source/window/menufloatingwindow.hxx
index 97d676e..a2cd198 100644
--- a/vcl/source/window/menufloatingwindow.hxx
+++ b/vcl/source/window/menufloatingwindow.hxx
@@ -115,7 +115,7 @@ public:
     void EndExecute( sal_uInt16 nSelectId );
 
     PopupMenu* GetActivePopup() const  { return pActivePopup; }
-    void KillActivePopup( PopupMenu* pThisOnly = nullptr );
+    void FreeActivePopup( PopupMenu* pThisOnly = nullptr );
 
     void ChangeHighlightItem(sal_uInt16 n, bool bStartPopupTimer);
     sal_uInt16 GetHighlightedItem() const { return nHighlightedItem; }
diff --git a/vcl/source/window/winproc.cxx b/vcl/source/window/winproc.cxx
index 43e5692..b0d9526 100644
--- a/vcl/source/window/winproc.cxx
+++ b/vcl/source/window/winproc.cxx
@@ -1583,7 +1583,7 @@ static void ImplHandlePaint( vcl::Window* pWindow, const Rectangle& rBoundRect,
     }
 }
 
-static void KillOwnPopups( vcl::Window* pWindow )
+static void CloseOwnPopups( vcl::Window* pWindow )
 {
     ImplSVData* pSVData = ImplGetSVData();
     vcl::Window *pParent = pWindow->ImplGetWindowImpl()->mpFrameWindow;
@@ -1599,7 +1599,7 @@ void ImplHandleResize( vcl::Window* pWindow, long nNewWidth, long nNewHeight )
 {
     if( pWindow->GetStyle() & (WB_MOVEABLE|WB_SIZEABLE) )
     {
-        KillOwnPopups( pWindow );
+        CloseOwnPopups( pWindow );
         if( pWindow->ImplGetWindow() != ImplGetSVData()->maHelpData.mpHelpWin )
             ImplDestroyHelpWindow( true );
     }
@@ -1678,7 +1678,7 @@ static void ImplHandleMove( vcl::Window* pWindow )
 
     if( pWindow->GetStyle() & (WB_MOVEABLE|WB_SIZEABLE) )
     {
-        KillOwnPopups( pWindow );
+        CloseOwnPopups( pWindow );
         if( pWindow->ImplGetWindow() != ImplGetSVData()->maHelpData.mpHelpWin )
             ImplDestroyHelpWindow( true );
     }
@@ -2449,7 +2449,7 @@ bool ImplWindowFrameProc( vcl::Window* _pWindow, SalEvent nEvent, const void* pE
 
         case SalEvent::ClosePopups:
             {
-            KillOwnPopups( pWindow );
+            CloseOwnPopups( pWindow );
             }
             break;
 
diff --git a/vcl/workben/vcldemo.cxx b/vcl/workben/vcldemo.cxx
index 4a3664c..392220b 100644
--- a/vcl/workben/vcldemo.cxx
+++ b/vcl/workben/vcldemo.cxx
@@ -2075,7 +2075,7 @@ public:
         assert(pContext != mpA && pContext != mpB);
         (void)pContext; (void)pContext2;
 
-        // Kill the parent we free-ride on ...
+        // release the parent we free-ride on ...
         xTempWin.disposeAndClear();
 
         // This appears to continue working; fun.
